SeExpr

Public Member Functions | Public Attributes | List of all members
NumberEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for NumberEditable:

## Public Member Functions
| NumberEditable (const std::string &name, int startPos, int endPos, double val)
bool | parseComment (const std::string &comment)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
double | v
double | min
double | max
bool | isInt
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 60 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ NumberEditable()

NumberEditable::NumberEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos,
|  | double | val
| ) |  |
| inline

Definition at line 64 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

void NumberEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 91 of file Editable.h.

References v.

## ◆ controlsMatch()

virtual bool NumberEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 93 of file Editable.h.

References isInt, max, min, Editable::name, and v.

## ◆ parseComment()

bool NumberEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 67 of file Editable.h.

References isInt, max, and min.

## ◆ str()

std::string NumberEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 86 of file Editable.h.

References isInt, max, min, Editable::name, and v.

## Member Data Documentation

## ◆ isInt

bool NumberEditable::isInt

Definition at line 63 of file Editable.h.

Referenced by controlsMatch(), NumberControl::NumberControl(), parseComment(), NumberControl::sliderChanged(), str(), and NumberControl::updateControl().

## ◆ max

double NumberEditable::max

Definition at line 62 of file Editable.h.

Referenced by controlsMatch(), NumberControl::NumberControl(), parseComment(), and str().

## ◆ min

double NumberEditable::min

Definition at line 62 of file Editable.h.

Referenced by controlsMatch(), NumberControl::NumberControl(), parseComment(), and str().

## ◆ v

double NumberEditable::v

Definition at line 61 of file Editable.h.

Referenced by appendString(), controlsMatch(), NumberControl::setValue(), str(), and NumberControl::updateControl().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h